<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*,java.io.IOException" session="true" %>
<%@ page contentType="text/html" %>
<%
response.setHeader("Cache-control","no-cache"); 
response.setHeader("Pragma","no-cache"); 
response.setDateHeader ("Expires", 0); 
response.setHeader("Content-Disposition","attachment; filename=pres.hta");

com.cidat.proclets.ProcletServiceData sd=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
String q53_idioma = q53Util.getIdioma(sd); 
String perfiles = (String)sd.getVal("perfiles");
session.setAttribute("tipo_enc","pres");
session.setAttribute("formato_enc","registro");
List calendarioLiteralesList = null;
if(sd.getVal("literalesCalendario") != null){
    calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
}
%>

<%
String q53Idioma = q53Util.getIdioma(sd);
// Literales
String gen_guardar=q53Util.getLiteral(sd, "GEN_GUARDAR", q53_idioma);
String gen_cerrar=q53Util.getLiteral(sd, "USR_CERRAR", q53_idioma);
String gen_probar=q53Util.getLiteral(sd, "GEN_PROBAR", q53_idioma);
String gen_subir=q53Util.getLiteral(sd, "GEN_SUBIR", q53_idioma);
String usr_cerrar=q53Util.getLiteral(sd, "USR_CERRAR", q53_idioma);
String ALERT_PROVINCIA=q53Util.getLiteral(sd, "ALERT_PROVINCIA", q53_idioma);
String ALERT_SOLO_EXPLORER=q53Util.getLiteral(sd, "ALERT_SOLO_EXPLORER", q53_idioma);
String ALERT_PERDER_DATOS=q53Util.getLiteral(sd, "ALERT_PERDER_DATOS", q53_idioma);
String ALERT_PROCEDENCIA_1=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_1", q53_idioma);
String ALERT_PROCEDENCIA_2=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_2", q53_idioma);
String ALERT_PROCEDENCIA_3=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_3", q53_idioma);
String ALERT_PROCEDENCIA_4=q53Util.getLiteral(sd, "ALERT_PROCEDENCIA_4", q53_idioma);
String ALERT_FORMULARIO=q53Util.getLiteral(sd, "ALERT_FORMULARIO",q53_idioma);
String mnu_recogida_datos = q53Util.getLiteral(sd, "MNU_RECOGIDA_DATOS", q53_idioma);
String enc_hoy = q53Util.getLiteral(sd, "ENC_HOY", q53_idioma);
String enc_tipo_fecha = q53Util.getLiteral(sd, "ENC_TIPO_FECHA", q53_idioma);
String enc_tipo_hora = q53Util.getLiteral(sd, "ENC_TIPO_HORA", q53_idioma);
String n1_5 = q53Util.getLiteral(sd, "N1_5", q53_idioma);
String enc_total = q53Util.getLiteral(sd, "ENC_TOTAL", q53_idioma);
String enc_personas = q53Util.getLiteral(sd, "ENC_PERSONAS", q53_idioma);
String enc_tipo_procedencia = q53Util.getLiteral(sd, "ENC_TIPO_PROCEDENCIA", q53_idioma);
String enc_local = q53Util.getLiteral(sd, "ENC_LOCAL", q53_idioma);
String enc_territorio_historico = q53Util.getLiteral(sd, "ENC_TERRITORIO_HISTORICO", q53_idioma);
String enc_comunidad_autonoma = q53Util.getLiteral(sd, "ENC_COMUNIDAD_AUTONOMA", q53_idioma);
String enc_pais = q53Util.getLiteral(sd, "ENC_PAIS", q53_idioma);
String usr_ver_formato_imprimir = q53Util.getLiteral(sd, "USR_VER_FORMATO_IMPRIMIR", q53_idioma);
String gen_terminar = q53Util.getLiteral(sd, "GEN_TERMINAR", q53_idioma);
String usr_ver_encuestas = q53Util.getLiteral(sd, "USR_VER_ENCUESTAS", q53_idioma);
String gen_terminar_ambas = q53Util.getLiteral(sd, "GEN_TERMINAR_AMBAS", q53_idioma);
String est_alert_select_th = q53Util.getLiteral(sd, "EST_ALERT_SELECT_TH", q53_idioma);
String enc_procedencia_datos = q53Util.getLiteral(sd, "ENC_PROCEDENCIA_DATOS", q53_idioma);
String enc_ccaa = q53Util.getLiteral(sd, "ENC_CCAA", q53_idioma);
String enc_total_personas = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS", q53_idioma);
String enc_total_personas_1 = q53Util.getLiteral(sd, "ENC_TOTAL_PERSONAS_1", q53_idioma);
String enc_preg_obligatoria = q53Util.getLiteral(sd, "ENC_PREG_OBLIGATORIA", q53_idioma);
String est_compruebe_fecha = q53Util.getLiteral(sd, "EST_COMPRUEBE_FECHA", q53_idioma);
String enc_presencial = q53Util.getLiteral(sd, "ENC_PRESENCIAL", q53_idioma);
String enc_no_pres = q53Util.getLiteral(sd, "ENC_NO_PRES", q53_idioma);
String enc_presencial_tabla = q53Util.getLiteral(sd, "ENC_PRESENCIAL_TABLA", q53_idioma);
String enc_no_pres_tabla = q53Util.getLiteral(sd, "ENC_NO_PRES_TABLA", q53_idioma);
String cpos = q53Util.getLiteral(sd, "CPOS", q53_idioma);
String enc_mantener = q53Util.getLiteral(sd, "ENC_MANTENER", q53_idioma);
String n1_12 = q53Util.getLiteral(sd, "N1_12", q53_idioma);
String ALERT_VALORACION_ESTANCIA= q53Util.getLiteral(sd, "ALERT_VALORACION_ESTANCIA", q53_idioma);

%>
<%!
/**
 * escribe una pregunta de tipo OPCIONES
 **/
private void escribirPregOpciones (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();    
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center' class='textoazulbold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");        
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();    
    String formato = opcionesBean.getFormato();    
    if (formato.equals(q53Constantes.FORMATO_SELECT)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        out.println ("<td><select name='opt_"+codPregunta+"' class='inpsel'>");
        if (!obligatoria){
          out.println ("<option value=''>&nbsp;&nbsp;&nbsp;&nbsp;</option>");
        }
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<option value='"+codOpcion+"'>"+descripcionOpcion+"</option>");
            }
        }
       
        out.println ("</select></td>");
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','select');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_CHECK)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        
        out.println ("<input name='opt_"+codPregunta+"' type='hidden' id='tipo_check_"+codPregunta+"'>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<td><input name='opt_check_"+codPregunta+"' type='checkbox' value='"+codOpcion+"'></td><td class='textonegrobold'>"+descripcionOpcion+"&nbsp;&nbsp;</td>");
            }
        }
        
        out.println ("</td>");
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','check');");
        out.println ("</script>");
    }else if (formato.equals(q53Constantes.FORMATO_RADIO)) {
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        List opcionesList = opcionesBean.getOpcionList();
        if(opcionesList != null && !(opcionesList.isEmpty())){
            int numOpciones = opcionesList.size();
            for (int j=0; j<numOpciones; j++) {
                q53OpcionBean opcionBean = (q53OpcionBean)opcionesList.get(j);
                String codOpcion = opcionBean.getCodOpciones();
                String descripcionOpcion = opcionBean.getDescipcionOpcion();
                out.println ("<td><input name='opt_"+codPregunta+"' type='radio' value='"+codOpcion+"'></td>");
                out.println ("<td class='textonegrobold'>"+descripcionOpcion+"</td>");
                out.println ("<td width='8'></td>");
            }
        }
        
        out.println ("</tr>");
        out.println ("</table>");
        out.println ("<script>");
        out.println ("preguntas["+preguntasLength+"]=new gen_PregOpciones('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','opciones','radio');");
        out.println ("</script>");
    }
    escribirSeparador (out);
}
private void escribirSeparador (javax.servlet.jsp.JspWriter out) throws IOException {
	out.println ("<table cellpadding='0' cellspacing='0' border='0' width='100%'>");
	out.println ("<tr><td height='8'></td></tr>");
	out.println ("<tr><td bgcolor='#0090D3'><img src='/appcont/itourbask/imgs/px.gif' width='1' height='1'></td></tr>");
	out.println ("<tr><td height='8'></td></tr>");
	out.println ("</table>");
}
/**
 * escribe una pregunta de tipo TEXTO
 **/
private void escribirPregTexto (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean,  int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion = preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
    q53TextoBean textoBean = preguntaBean.getPreguntaTexto();
    int tamano = textoBean.getTamanioTexto();
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center' class='textoazulbold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    out.println ("<td width='25'></td>");
    /*@todo dependiendo del tamaño, deberíamos poner más o menos lineas!!! */
    out.println ("<td><input name='txt_"+codPregunta+"' type='text' class='inptxt' style='width: 400px;'></td>");
    out.println ("</tr>");
    out.println ("</table>");
    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregTexto('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','texto','"+tamano+"');");
    out.println ("</script>");
    escribirSeparador (out);
}
/**
 * escribe una pregunta de tipo FECHA
 **/
private void escribirPregFecha (javax.servlet.jsp.JspWriter out, q53PreguntaBean preguntaBean, ProcletServiceData sd,int num_pregunta,int preguntasLength) throws IOException, ProcletException {
    List calendarioLiteralesList = null;
    if(sd.getVal("literalesCalendario") != null){
        calendarioLiteralesList = (List)sd.getVal("literalesCalendario");
    }
    String q53Idioma = q53Util.getIdioma(sd);
    String codPregunta = preguntaBean.getCodPregunta();
    int intCodPregunta = Integer.valueOf(codPregunta).intValue();
    String descripcion =preguntaBean.getDescripcionPregunta();
    boolean obligatoria = preguntaBean.isObligatoria();
   	q53FechaBean fechaBean = preguntaBean.getPreguntaFecha();
    String fecha_min = fechaBean.getFechaMin();
    String fecha_max = fechaBean.getFechaMax();
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    if(obligatoria){
        out.println ("<td width='10' class='textorojobold'>*</td>");
    }else{
        out.println ("<td width='10'></td>");
    }
    out.println ("<td width='13' height='13' valign='middle' align='center'  class='textoazulbold'>"+num_pregunta+"</td>");
    out.println ("<td class='textonegrobold'>&nbsp;"+descripcion+"</td>");
    out.println ("</tr>");
    out.println ("<tr><td height='5'></td></tr>");
    out.println ("</table>");
    java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
    String ahora = sdf.format (new java.util.Date());
    String ahora_dia = ahora.substring (0,2);
    String ahora_mes = ahora.substring (3,5);
    String ahora_anio = ahora.substring (6);
    out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
    out.println ("<tr>");
    out.println ("<td width='25'></td>");
    out.println ("<td class='textonegrobold'>");
    out.println ("<select name='fech_"+codPregunta+"_dia' class='inpsel'>");
    for (int j=1; j<=31; j++) {
        if (j<10) {
            out.println ("<option value='0"+j+"' "+(ahora_dia.equals("0"+j)?"selected":"")+">"+j+"</option>");
        }else {
            out.println ("<option value='"+j+"' "+(ahora_dia.equals(""+j)?"selected":"")+">"+j+"</option>");
        }
    }
    out.println ("</select>");
    out.println ("&nbsp;&nbsp;&nbsp;&nbsp;");
    out.println ("<select name='fech_"+codPregunta+"_mes' class='inpsel'>");
    if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){
        out.println ("<option value='01' "+(ahora_mes.equals("01")?"selected":"")+">"+calendarioLiteralesList.get(0)+"</option>");
        out.println ("<option value='02' "+(ahora_mes.equals("02")?"selected":"")+">"+calendarioLiteralesList.get(1)+"</option>");
        out.println ("<option value='03' "+(ahora_mes.equals("03")?"selected":"")+">"+calendarioLiteralesList.get(2)+"</option>");
        out.println ("<option value='04' "+(ahora_mes.equals("04")?"selected":"")+">"+calendarioLiteralesList.get(3)+"</option>");
        out.println ("<option value='05' "+(ahora_mes.equals("05")?"selected":"")+">"+calendarioLiteralesList.get(4)+"</option>");
        out.println ("<option value='06' "+(ahora_mes.equals("06")?"selected":"")+">"+calendarioLiteralesList.get(5)+"</option>");
        out.println ("<option value='07' "+(ahora_mes.equals("07")?"selected":"")+">"+calendarioLiteralesList.get(6)+"</option>");
        out.println ("<option value='08' "+(ahora_mes.equals("08")?"selected":"")+">"+calendarioLiteralesList.get(7)+"</option>");
        out.println ("<option value='09' "+(ahora_mes.equals("09")?"selected":"")+">"+calendarioLiteralesList.get(8)+"</option>");
        out.println ("<option value='10' "+(ahora_mes.equals("10")?"selected":"")+">"+calendarioLiteralesList.get(9)+"</option>");
        out.println ("<option value='11' "+(ahora_mes.equals("11")?"selected":"")+">"+calendarioLiteralesList.get(10)+"</option>");
        out.println ("<option value='12' "+(ahora_mes.equals("12")?"selected":"")+">"+calendarioLiteralesList.get(11)+"</option>");
    }
    out.println ("</select>");
    out.println ("&nbsp;&nbsp;&nbsp;&nbsp;");
    out.println ("<select name='fech_"+codPregunta+"_anio' class='inpsel'>");
    int anio_min = 0;
    int anio_max = 0;
    try {
        if (fecha_min.equals("")) {
            anio_min = Integer.parseInt(ahora_anio);
        }else {
          if (q53Idioma.equals("C"))
            anio_min = Integer.parseInt(fecha_min.substring(6));
          else 
            anio_min = Integer.parseInt(fecha_min.substring(0,4));
        }
        if (fecha_max.equals("")) {
            anio_max = Integer.parseInt(ahora_anio);
        }else {
          if (q53Idioma.equals("C"))
            anio_max = Integer.parseInt(fecha_max.substring(6));
          else
            anio_max = Integer.parseInt(fecha_max.substring(0,4));
        }
    }catch (Exception e) {}
    for (int k=anio_min; k<= anio_max; k++) {
        out.println ("<option value='"+k+"' "+(ahora_anio.equals(""+k)?"selected":"")+">"+k+"</option>");
    }
    out.println ("</select>");
    out.println ("</td>");
    out.println ("</tr>");
    out.println ("</table>");
    out.println ("<script>");
    out.println ("preguntas["+preguntasLength+"]=new gen_PregFecha('"+codPregunta+"','"+descripcion+"','"+obligatoria+"','fecha','"+fecha_min+"','"+fecha_max+"');");
    out.println ("</script>");
    escribirSeparador (out);
}

/**
 * Escribe el texto de introducción de la encuesta, si existe
 **/
private void escribirTextoEncuesta (javax.servlet.jsp.JspWriter out, ProcletServiceData sd, String enc) throws IOException, ProcletException {
    if (!sd.gOS(enc+"[0].n0_texto").equals("")) {
        // el texto existe
        out.println ("<table cellpadding='0' cellspacing='0' border='0'>");
        out.println ("<tr>");
        out.println ("<td width='25'></td>");
        out.println ("<td class='textonegrobold'>"+sd.gOS(enc+"[0].n0_texto")+"</td>");
        out.println ("</tr>");
        out.println ("<tr><td height='5'></td></tr>");
        out.println ("</table>");
        escribirSeparador (out);
    } // if
}
%>
<%

String cod_enc_oficina = "";
String cod_version_oficina = "";
String cod_descripcion_oficina = "";
q53EncuestaBean encuestaBean = null;
if (sd.getVal("hay_preg_ofi").equals("SI")) {
   encuestaBean  = (q53EncuestaBean)sd.getVal("encVisible");
   cod_enc_oficina = encuestaBean.getCodEncuesta();
   cod_version_oficina = encuestaBean.getCodVersion();
   cod_descripcion_oficina =encuestaBean.getDescripcionEncuesta();
}else{
   encuestaBean  = (q53EncuestaBean)sd.getVal("encuestaGV");
}

    String n8_5_1 = q53Util.getLiteral(sd, "N8_5_1", q53_idioma);
    String n8_5_2 = q53Util.getLiteral(sd, "N8_5_2", q53_idioma);
    String n8_5_3 = q53Util.getLiteral(sd, "N8_5_3", q53_idioma);
    String n8_5_4 = q53Util.getLiteral(sd, "N8_5_4", q53_idioma);
    String n8_5_5 = q53Util.getLiteral(sd, "N8_5_5", q53_idioma);

%>
<html>
<head>
<title> instalacionPres </title>
  <HTA:APPLICATION ID="oMyApp" 
    APPLICATIONNAME="pres" 
    BORDER="none"
    NAVIGABLE ="yes"
    CAPTION="pres.hta"
    ICON=""
    SHOWINTASKBAR="yes"
    SINGLEINSTANCE="no"
    SYSMENU="yes"
    WINDOWSTATE="maximize"
    />
    
<%@ include file="q53_usr_estaticos_local.jsp" %>

<script language="JavaScript">
function hayDatos(){
	var tipo="";
	for (i=0;i<document.frm.elements.length;i++)
	{
		tipo=document.frm.elements[i].type;
		if(tipo=="text"){
				if(document.frm.elements[i].value!=""){
					return true;
				}
		}		
	}
	return false;
}

function CargarPaginaConfirm(ref,msg){
	var dFSO = new ActiveXObject("Scripting.FileSystemObject");
	if(dFSO.FileExists(ref)){
	if(hayDatos()){
		if(window.confirm(msg)){
			cargarPAG(ref);
		}
	}else{
		cargarPAG(ref);
	}
	}else{
			alert("<%=ALERT_FORMULARIO%>");
			}
}

function cargarPAG(str){
   document.location.href = str;
}
function terminar(){
    if (document.getElementById("terminarActivo").value=="1") {    
    // 30.10.2007:  Comprobar que la fecha de recogida no sea superior a la actual
    var hoy = new Date ();
    var ano_hoy = hoy.getFullYear();
    var mes_hoy= hoy.getMonth()+1;
    var dia_hoy = hoy.getDate();
    if (mes_hoy<10) mes_hoy = "0"+mes_hoy;
    if (dia_hoy<10) dia_hoy = "0"+dia_hoy;
    var fecha_hoy = ano_hoy+""+mes_hoy+""+dia_hoy;
    var fecha_rec = document.frm.fech_0_anio.value +""+ document.frm.fech_0_mes.value +""+ document.frm.fech_0_dia.value;
    var fec10=new Date();
        if (fecha_rec > fecha_hoy)
    {
        alert("<%=est_compruebe_fecha%>");
        return;
    }
       
    var mantener_fecha =document.frm.opt_mantener.checked;
    if(document.frm.opt_mantener.checked){
    document.frm.fech_10_dia2.value=document.frm.fech_0_dia.value;
    document.frm.fech_10_mes2.value=document.frm.fech_0_mes.value;
    document.frm.fech_10_anio2.value=document.frm.fech_0_anio.value;
    document.frm.fech_10_hora.value=document.frm.fech_0_hora.value;
   }
    else{
    var dia_fec10 = fec10.getDate();
    if (dia_fec10<10) dia_fec10 = "0"+dia_fec10;
	document.frm.fech_10_dia2.value=dia_fec10;
	var mes_fec10= fec10.getMonth()+1;
    if (mes_fec10<10) mes_fec10 = "0"+mes_fec10;
    document.frm.fech_10_mes2.value=mes_fec10;
	var anyo_fec10 = fec10.getFullYear();
	document.frm.fech_10_anio2.value=anyo_fec10;
 	<%java.util.Calendar cal2=java.util.Calendar.getInstance();
        int horaNumerica2 = cal2.get(Calendar.HOUR_OF_DAY);
	    String hora2=String.valueOf(horaNumerica2);
	    if(horaNumerica2 <10){ hora2="0"+hora2; }%>
		document.frm.fech_10_hora.value="<%=hora2%>";
	}
    
    if(document.frm.grp_5_4_5.value<0){
    	alert("El total de personas por sexo debe coincidir con el total de personas por edad")
    	return;   
    }
		if(document.frm.opt_local.checked){
			document.frm.local.value="S";
		}else{
			document.frm.local.value="";
		}
		var codpos1=document.frm.cpos1.value;
		var codpos2=document.frm.cpos2.value;
		var codpos3=document.frm.cpos3.value;
		comprobarCPOS(1);
		comprobarCPOS(2);
		comprobarCPOS(3);
		if(codpos1!=document.frm.cpos1.value ||codpos2!=document.frm.cpos2.value ||codpos3!=document.frm.cpos3.value){
			return;
		}
		if (codpos1!="" && document.frm.proc_pais_6_1.value!="10"){
			if(codpos1.length==1 ){
				codpos1= "0"+ codpos1 + "000";				 
			}else if (codpos1.length==2){
				codpos1=codpos1 + "000";
			}else if (codpos1.length==3){
				codpos1=codpos1 + "00";
			}else if (codpos1.length==4){		
				codpos1=codpos1 + "0";
			}
		}
		if (codpos2!="" && document.frm.proc_pais_6_2.value!="10"){
			if(codpos2.length==1){
				codpos2= "0"+ codpos2 + "000";				 
			}else if (codpos2.length==2){
				codpos2=codpos2 + "000";
			}else if (codpos2.length==3){
				codpos2=codpos2 + "00";
			}else if (codpos2.length==4){		
				codpos2=codpos2 + "0";
			}

		}
		if (codpos3!="" && document.frm.proc_pais_6_3.value!="10"){
			if(codpos3.length==1){
				codpos3= "0"+ codpos3 + "000";				 
			}else if (codpos3.length==2){
				codpos3=codpos3 + "000";
			}else if (codpos3.length==3){
				codpos3=codpos3 + "00";
			}else if (codpos3.length==4){		
				codpos3=codpos3 + "0";
			}
		}
		document.frm.cpos1.value=codpos1;
		document.frm.cpos2.value=codpos2;
		document.frm.cpos3.value=codpos3;
	// hacer las comprobaciones de los campos numericos
	if (!gen_validartxt_int (document.frm.grp_2_2_1,"Hombres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_2_2_2,"Mujeres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_1,"<27", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_2,"27-45", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_3,"46-65", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_4,">65", false, 3)) return;	
 
	// hacer las comprobaciones de obligatoriedad, tam. de campos, etc...		
	//Para saber cuantas personas son sin edad concreta
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	//var sinConcretar = parseInt(totalHombres) + parseInt(totalMujeres) - parseInt(document.frm.totalPersonas.value);	
	var sinConcretar=document.frm.grp_5_4_5.value;                                         
	
	document.frm.sinConcretar.value=sinConcretar;
// 19.11.2007 Actualizar el valor de numero de personas con los que hay mas el valor de sin concretar
    //document.frm.totalPersonas.value = parseInt(document.frm.totalPersonas.value) + parseInt(sinConcretar);


	if(document.frm.opt_local.checked && document.frm.cpos1.value!=""){
	   	alert("<%=ALERT_PROCEDENCIA_1%>");
	   	return;	  
	}
	if(document.frm.opt_local.checked && document.frm.proc_pais_6_1.value!="0"){
	   	alert("<%=ALERT_PROCEDENCIA_2%>");
	   	return;	  
	}
	
	if(document.frm.cpos1.value!="" && document.frm.proc_pais_6_1.value!="0" && document.frm.proc_pais_6_1.value!="10" ){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}
	if(document.frm.cpos2.value!="" && document.frm.proc_pais_6_2.value!="0" && document.frm.proc_pais_6_2.value!="10" ){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}
	if(document.frm.cpos3.value!="" && document.frm.proc_pais_6_3.value!="0" && document.frm.proc_pais_6_3.value!="10"){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}


	if(!document.frm.opt_local.checked && document.frm.cpos1.value=="" && document.frm.proc_pais_6_1.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
      return;
	}

   if(document.frm.nPersonasProcedencia_6_2.value!='' && document.frm.cpos2.value=="" && document.frm.proc_pais_6_2.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
 	  document.frm.nPersonasProcedencia_6_2.value=''	  
      return;
	}
    
    if(document.frm.nPersonasProcedencia_6_3.value!='' && document.frm.cpos3.value=="" && document.frm.proc_pais_6_3.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
 		  document.frm.nPersonasProcedencia_6_3.value=''
      return;
	}
	

	
	for (var i=0; i<6; i++) {	
                if(i != 2){ // para todas las preguntas menos la de grupo de edad
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }else{ // para la pregunta grupo de edad
                    if (!comprobarNumeroPersonas()) {
                        return;
                    }
                }
            //}
    }
		
        if(!comprobarNumeroPersonasProcedencia()){
            return;
        }
        if(!comprobarSeleccionProcedencia()){
          return;
        }

    // Para preguntas de tipo check !!!!!
        var cadena = "";
        if (document.getElementById("tipo_check_7") != null){
          for (var i=0; i< document.frm.opt_check_7.length; i++){
              if (document.frm.opt_check_7[i].checked == true) cadena += document.frm.opt_check_7[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_7.value = cadena;
        }    
  
   
        var cadena = "";
        if (document.getElementById("tipo_check_8") != null){
          for (var i=0; i< document.frm.opt_check_8.length; i++){
              if (document.frm.opt_check_8[i].checked == true) cadena += document.frm.opt_check_8[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_8.value = cadena;
        }    
        ordenarParametrosGrupoEdad();
        document.getElementById("terminarActivo").value="0";
        guardarRespuestas();
        var dia=document.frm.fech_10_dia2.value;
        var mes=document.frm.fech_10_mes2.value;
        var anio=document.frm.fech_10_anio2.value;
        var hora=document.frm.fech_10_hora.value;
        document.frm.reset();
        document.frm.fech_0_dia.value=dia;
        document.frm.fech_0_mes.value=mes;
        document.frm.fech_0_anio.value=anio;
        document.frm.fech_0_hora.value=hora;
        document.frm.opt_mantener.checked=mantener_fecha;
        document.frm.submit();
      	deshabilitar(); 
    }
}

//Hay que validar que el numero de personas coincida tanto en grupos de edad como en hombres y mujeres
function comprobarNumeroPersonasProcedencia(){
	var total=0;
	var totalPersonas2=0;
    
    var grupoH =document.frm.grp_2_2_1.value;
    var grupoM =document.frm.grp_2_2_2.value;

    if(grupoH != "" && grupoM != ""){
        totalPersonas2 = parseInt(grupoH);
        totalPersonas2 += parseInt(grupoM);
    }else if(grupoM != "" && grupoH == ""){
        totalPersonas2 = parseInt(grupoM);
    }else if(grupoM == "" && grupoH != ""){
        totalPersonas2 = parseInt(grupoH);
    }

    //var personasLocal = document.frm.proc_local_6.value;
    var personasProc1 = document.frm.nPersonasProcedencia_6_1.value;
    var personasProc2 = document.frm.nPersonasProcedencia_6_2.value;    
    var personasProc3 = document.frm.nPersonasProcedencia_6_3.value;
   
     if(personasProc1 != ""){
        total += parseInt(personasProc1);
    }if(personasProc2 != ""){
        total += parseInt(personasProc2);
    }if(personasProc3 != ""){
        total += parseInt(personasProc3);
    }

  if (total!=totalPersonas2) {
      alert ("<%=enc_total_personas_1%>");
      return false;
  }else{
      return true;
  }
}

/* Validar combos de procedencia y numero de personas */
function comprobarSeleccionProcedencia(){
  var personasProc1 = document.frm.nPersonasProcedencia_6_1.value;
  var personasProc2 = document.frm.nPersonasProcedencia_6_2.value;    
  var personasProc3 = document.frm.nPersonasProcedencia_6_3.value;

  var selPAIS1 = document.frm.proc_pais_6_1.value;
  var selPAIS2 = document.frm.proc_pais_6_2.value;
  var selPAIS3 = document.frm.proc_pais_6_3.value;


  var coincidencia12 = "";
  if((personasProc1 != "" && personasProc1 !="0") && (personasProc2 != "" && personasProc2 !="0")){
    if (selPAIS1 == selPAIS2) { // coinciden los paises
      if (selPAIS1 != "0" && selPAIS1 != "10"){ // pais no españa o francia
        coincidencia12 = "S";
      } else {
      } // fin pais españa
    } // selPAIS1 == selPAIS2
  } // fin proc1 y proc2
  
  var coincidencia13 = "";
  if((personasProc1 != "" && personasProc1 !="0") && (personasProc3 != "" && personasProc3 !="0")){
    if (selPAIS1 == selPAIS3) { // coinciden los paises
      if (selPAIS1 != "0" && selPAIS1 != "10"){ // pais no españa
        coincidencia13 = "S";
      } else {
      } // fin pais españa
    } // selPAIS1 == selPAIS3
  } // fin proc1 y proc3

  var coincidencia23 = "";
  if((personasProc2 != "" && personasProc2 !="0") && (personasProc3 != "" && personasProc3 !="0")){
    if (selPAIS2 == selPAIS3) { // coinciden los paises
      if (selPAIS2 != "0" && selPAIS2 != "10"){ // pais no españa
        coincidencia23 = "S";
      } else {
      } // fin pais españa
    } // selPAIS2 == selPAIS3
  } // fin proc2 y proc3
  
  if (coincidencia12!= "" || coincidencia13!= "" ||coincidencia23!= ""){
    alert("<%=enc_procedencia_datos%>");
    return false;
  }
  
  return true;
}

//******************************************************************************
//validar que el numero de persona coincida tanto en grupos de edad como en hombres y mujeres
//***********************************
function comprobarNumeroPersonas(){
    var total=0;
    var totalPersonas2 = document.frm.totalPersonas.value;
    var grupoH =document.frm.grp_2_2_1.value;
    var grupoM =document.frm.grp_2_2_2.value;
	
    if(grupoH != "" && grupoM != ""){
        total = parseInt(grupoH);
        total += parseInt(grupoM);
    }else if(grupoM != "" && grupoH == ""){
        total = parseInt(grupoM);
    }else if(grupoM == "" && grupoH != ""){
        total = parseInt(grupoH);
    }

  if (total!=totalPersonas2) {
      alert ("<%=enc_total_personas%>");
      document.frm["grp_5_4_1"].focus();
      return false;
    }else{
      return true;
    }
}

//Termina las dos encuestas la del g.v. y la de la oficina
function terminarEncuestas() {
    document.frm.terminarAmbas.value=1;
    if (document.getElementById("terminarActivo").value=="1") {    
    // 30.10.2007:  Comprobar que la fecha de recogida no sea superior a la actual
    var hoy = new Date ();
    var ano_hoy = hoy.getYear();
    var mes_hoy= hoy.getMonth()+1;
    var dia_hoy = hoy.getDate();
    if (mes_hoy<10) mes_hoy = "0"+mes_hoy;
    if (dia_hoy<10) dia_hoy = "0"+dia_hoy;
    var fecha_hoy = ano_hoy+""+mes_hoy+""+dia_hoy;
    var fecha_rec = document.frm.fech_0_anio.value +""+ document.frm.fech_0_mes.value +""+ document.frm.fech_0_dia.value;
    var fec10=new Date();
    if (fecha_rec > fecha_hoy)
    {
        alert("<%=est_compruebe_fecha%>");
        return;
    }
		if(document.frm.grp_5_4_5.value<0){
    	alert("El total de personas por sexo debe coincidir con el total de personas por edad")
    	return;   
    }
    
    var mantener_fecha=document.frm.opt_mantener.checked;
	if(document.frm.opt_mantener.checked){
    document.frm.fech_10_dia2.value=document.frm.fech_0_dia.value;
    document.frm.fech_10_mes2.value=document.frm.fech_0_mes.value;
    document.frm.fech_10_anio2.value=document.frm.fech_0_anio.value;
    document.frm.fech_10_hora.value=document.frm.fech_0_hora.value;
    }
    else{
 	var dia_fec10 = fec10.getDate();
    if (dia_fec10<10) dia_fec10 = "0"+dia_fec10;
	document.frm.fech_10_dia2.value=dia_fec10;
	var mes_fec10= fec10.getMonth()+1;
    if (mes_fec10<10) mes_fec10 = "0"+mes_fec10;
    document.frm.fech_10_mes2.value=mes_fec10;
	var anyo_fec10 = fec10.getFullYear();
	document.frm.fech_10_anio2.value=anyo_fec10;
 	<%java.util.Calendar cal1=java.util.Calendar.getInstance();
    int horaNumerica = cal1.get(Calendar.HOUR_OF_DAY);
    String hora=String.valueOf(horaNumerica);
    if(horaNumerica <10){ hora="0"+hora; }%>
	document.frm.fech_10_hora.value="<%=hora%>";
	}
		if(document.frm.opt_local.checked){
			document.frm.local.value="S";
		}else{
			document.frm.local.value="";
		}
	                                        
	var codpos1=document.frm.cpos1.value;
	var codpos2=document.frm.cpos2.value;
	var codpos3=document.frm.cpos3.value;
		comprobarCPOS(1);
		comprobarCPOS(2);
		comprobarCPOS(3);
		if(codpos1!=document.frm.cpos1.value ||codpos2!=document.frm.cpos2.value ||codpos3!=document.frm.cpos3.value){
			return;
		}
		if (codpos1!="" && document.frm.proc_pais_6_1.value!="10"){
			if(codpos1.length==1 ){
				codpos1= "0"+ codpos1 + "000";				 
			}else if (codpos1.length==2){
				codpos1=codpos1 + "000";
			}else if (codpos1.length==3){
				codpos1=codpos1 + "00";
			}else if (codpos1.length==4){		
				codpos1=codpos1 + "0";
			}
		}
		if (codpos2!="" && document.frm.proc_pais_6_2.value!="10"){
			if(codpos2.length==1){
				codpos2= "0"+ codpos2 + "000";				 
			}else if (codpos2.length==2){
				codpos2=codpos2 + "000";
			}else if (codpos2.length==3){
				codpos2=codpos2 + "00";
			}else if (codpos2.length==4){		
				codpos2=codpos2 + "0";
			}

		}
		if (codpos3!="" && document.frm.proc_pais_6_3.value!="10"){
			if(codpos3.length==1){
				codpos3= "0"+ codpos3 + "000";				 
			}else if (codpos3.length==2){
				codpos3=codpos3 + "000";
			}else if (codpos3.length==3){
				codpos3=codpos3 + "00";
			}else if (codpos3.length==4){		
				codpos3=codpos3 + "0";
			}
		}
		document.frm.cpos1.value=codpos1;
		document.frm.cpos2.value=codpos2;
		document.frm.cpos3.value=codpos3;
	// hacer las comprobaciones de los campos numericos
	if (!gen_validartxt_int (document.frm.grp_2_2_1,"Hombres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_2_2_2,"Mujeres", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_1,"<27", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_2,"27-45", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_3,"46-65", false, 3)) return;
	if (!gen_validartxt_int (document.frm.grp_5_4_4,">65", false, 3)) return;	

	// hacer las comprobaciones de obligatoriedad, tam. de campos, etc...		
	//Para saber cuantas personas son sin edad concreta
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	//var sinConcretar = parseInt(totalHombres) + parseInt(totalMujeres) - parseInt(document.frm.totalPersonas.value);	
	var sinConcretar=document.frm.grp_5_4_5.value;                                         
	
	document.frm.sinConcretar.value=sinConcretar;
// 19.11.2007 Actualizar el valor de numero de personas con los que hay mas el valor de sin concretar
    //document.frm.totalPersonas.value = parseInt(document.frm.totalPersonas.value) + parseInt(sinConcretar);


	if(document.frm.opt_local.checked && document.frm.cpos1.value!=""){
	   	alert("<%=ALERT_PROCEDENCIA_1%>");
	   	return;	  
	}
	if(document.frm.opt_local.checked && document.frm.proc_pais_6_1.value!="0"){
	   	alert("<%=ALERT_PROCEDENCIA_2%>");
	   	return;	  
	}
	
	if(document.frm.cpos1.value!="" && document.frm.proc_pais_6_1.value!="0" && document.frm.proc_pais_6_1.value!="10" ){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}
	if(document.frm.cpos2.value!="" && document.frm.proc_pais_6_2.value!="0" && document.frm.proc_pais_6_2.value!="10" ){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}
	if(document.frm.cpos3.value!="" && document.frm.proc_pais_6_3.value!="0" && document.frm.proc_pais_6_3.value!="10"){
	   	alert("<%=ALERT_PROCEDENCIA_3%>");
	   	return;	  
	}


	if(!document.frm.opt_local.checked && document.frm.cpos1.value=="" && document.frm.proc_pais_6_1.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
      return;
	}
	if(document.frm.nPersonasProcedencia_6_2.value!='' && document.frm.cpos2.value=="" && document.frm.proc_pais_6_2.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
 	  document.frm.nPersonasProcedencia_6_2.value=''	  
      return;
	}
    
    if(document.frm.nPersonasProcedencia_6_3.value!='' && document.frm.cpos3.value=="" && document.frm.proc_pais_6_3.value=="0"){
 		  alert("<%=ALERT_PROCEDENCIA_4%>");
 		  document.frm.nPersonasProcedencia_6_3.value=''
      return;
	}
	document.frm.sinConcretar.value=sinConcretar;
// 19.11.2007 Actualizar el valor de numero de personas con los que hay mas el valor de sin concretar
    //document.frm.totalPersonas.value = parseInt(document.frm.totalPersonas.value) + parseInt(sinConcretar);

	for (var i=0; i<6; i++) {	
                if(i != 2){ // para todas las preguntas menos la de grupo de edad
                    if (!preguntas[i].comprobar()) {
                        return;
                    }
                }else{ // para la pregunta grupo de edad
                    if (!comprobarNumeroPersonas()) {
                        return;
                    }
                }
            //}
    }

        if(!comprobarNumeroPersonasProcedencia()){
            return;
        }
        if(!comprobarSeleccionProcedencia()){
          return;
        }

    // Para preguntas de tipo check !!!!!
        var cadena = "";
        if (document.getElementById("tipo_check_7") != null){
          for (var i=0; i< document.frm.opt_check_7.length; i++){
              if (document.frm.opt_check_7[i].checked == true) cadena += document.frm.opt_check_7[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_7.value = cadena;
        }    
        var cadena = "";    
        var cadena = "";
        if (document.getElementById("tipo_check_8") != null){
          for (var i=0; i< document.frm.opt_check_8.length; i++){
              if (document.frm.opt_check_8[i].checked == true) cadena += document.frm.opt_check_8[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          document.frm.opt_8.value = cadena;
        }    
        ordenarParametrosGrupoEdad();
        
   <%if (sd.gOS("hay_preg_ofi").equals("SI")) {
       if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
           int numPreg = ((List)sd.getVal("preguntasList")).size();
           for(int i=0; i<numPreg; i++) {
               q53PreguntaBean preguntaBean = (q53PreguntaBean)((List)sd.getVal("preguntasList")).get(i);
               String tipoPregunta = preguntaBean.getTipoPregunta(); 
               boolean obligatoria = preguntaBean.isObligatoria();
              if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
                    q53OpcionesBean opcionesBean = preguntaBean.getPreguntaOpciones();
                    String formato = opcionesBean.getFormato();
                    String cod_pregunta = preguntaBean.getCodPregunta();
                    if (formato.equals(q53Constantes.FORMATO_CHECK)) { 
%>
        var cadena = "";
        if (document.getElementById("tipo_check_<%=cod_pregunta%>") != null){
          for (var i=0; i< document.frm.opt_check_<%=cod_pregunta%>.length; i++){
              if (document.frm.opt_check_<%=cod_pregunta%>[i].checked == true) cadena += document.frm.opt_check_<%=cod_pregunta%>[i].value+"#";
          }
          cadena = cadena.substring(0,cadena.length-1);
          if (cadena.length == 0 && <%=obligatoria%>)
          {
            alert("<%=enc_preg_obligatoria%>");
            return;
          }
          document.frm.opt_<%=cod_pregunta%>.value = cadena;
        }
<%
        } else if (formato.equals(q53Constantes.FORMATO_RADIO)) { // fin tipo_check
%>
          var checkedButton = "";
          // Es un array de radio
          for (var i=0;i<document.frm.opt_<%=cod_pregunta%>.length;i++) {
            if (document.frm.opt_<%=cod_pregunta%>[i].checked) {
              checkedButton=document.frm.opt_<%=cod_pregunta%>[i].value;
            }
          }
          if (checkedButton.length == 0 && <%=obligatoria%>)
          {
            alert("<%=enc_preg_obligatoria%>");
            return;
          }
<%
        } // fin tipo_radio
	  } // fin tipo_opciones
	} // fin for
    } // fin if preg_ofi
}
%>
      document.getElementById("terminarActivo").value="0";
      guardarRespuestas();
        var dia=document.frm.fech_10_dia2.value;
        var mes=document.frm.fech_10_mes2.value;
        var anio=document.frm.fech_10_anio2.value;
        var hora=document.frm.fech_10_hora.value;
        document.frm.reset();
        var fecha_actual=new Date();
        var hora_actual=fecha_actual.getHours();
        document.frm.fech_0_dia.value=dia;
        document.frm.fech_0_mes.value=mes;
        document.frm.fech_0_anio.value=anio;
        if(!mantener_fecha){
        	document.frm.fech_0_hora.value=hora_actual;
        }else{
        	document.frm.fech_0_hora.value=hora;
        }
        frm.opt_mantener.checked=mantener_fecha;
        document.frm.submit();
      deshabilitar(); 
    }
}

function imprimir () {
    // cod_encuesta puede ser vacío -> en ese caso se sacarán las preguntas de la recogida de datos
    var str = "/q53ItourbaskWar/q53usrEncuestaPresencialServlet?cod_encuesta=&cod_version=&accion=imprimir&respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}

function ver_respuestas (){
    var str = "/q53ItourbaskWar/q53usrBusquedaServlet?encuesta=pres&accion=inicioBusqueda&cod_encuesta=&cod_version=&respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}

//Muestra una pagina con todas las respuestas de una oficina
function ver_respuestasOficina(){
    var str = "/q53ItourbaskWar/q53usrVerRespuestasPresencialServlet?cod_encuesta=<%=cod_enc_oficina%>&cod_version=<%=cod_version_oficina%>&respuesta_rd_asociada=&encuestas_terminadas=&oficina=1";
    document.location.href = str;
}

function volver_cancelar (){
    var str = "/q53ItourbaskWar/q53usrListarServlet?respuesta_rd_asociada=&encuestas_terminadas=";
    document.location.href = str;
}
var preguntas = new Array();

function calcularTotalPersonas() {
    //El total de personas sera la resta del total personas por sexo menos lo introducido en grupos de edad
    var total = document.frm.totalPersonas.value;
    var cantidad = 0;
    var grupo = "";
    for(var i = 1; i < 5; i++) {
    		var iden="grp_5_4_"+i;
        grupo = document.getElementById(iden).value;        
				if (grupo!="") {
            cantidad = parseInt(grupo);            
            total -= cantidad;
				}
    }    
    	document.getElementById("grp_5_4_5").value=total;
}
function calcularTotalPersonas_sexo() {
    //El total de personas sera la suma de hombres y mujeres
    var total = 0;
    var cantidad = 0;
    var grupo = "";
    for(var i = 1; i < 3; i++) {
    		var iden="grp_2_2_"+i;
        grupo = document.getElementById(iden).value;
	if (grupo!="") {
            cantidad = parseInt(grupo);
            total += cantidad;
	}
    }
    document.getElementById("totalPersonas").value=total;
    document.getElementById("grp_5_4_5").value=total-document.frm.grp_5_4_1.value-document.frm.grp_5_4_2.value-document.frm.grp_5_4_3.value-document.frm.grp_5_4_4.value;   
    if (document.frm.nPersonasProcedencia_6_2.value=="" && document.frm.nPersonasProcedencia_6_3.value==""){ 
    		document.getElementById("nPersonasProcedencia_6_1").value=total;
		}   
    
}
function ordenarParametrosGrupoEdad(){
    //En la BD se guarda el numero de hombres y mujeres de cada grupo de edad
    //en base al ratio (porcentaje) de hombres y mujeres de la pregunta 'Numero de personas'
    //var totalPersonas = parseInt(document.getElementById("totalPersonas").value);
	var totalHombres = document.frm.grp_2_2_1.value;
	var totalMujeres = document.frm.grp_2_2_2.value;
	if (totalHombres == "") totalHombres =0;
	if (totalMujeres == "") totalMujeres =0;
	var totalPersonas = parseInt(totalHombres) + parseInt(totalMujeres);
    var numHombres = document.getElementById("grp_2_2_1").value;
    var numMujeres = document.getElementById("grp_2_2_2").value;
    if (numHombres=="") numHombres=0;
    else numHombres = parseInt(numHombres);
    if (numMujeres=="") numMujeres=0;
    else numMujeres = parseInt(numMujeres);
	var ratioHombres = numHombres / totalPersonas;
    var mujeresAcumulado = 0;
    var hombresAcumulado = 0;
//    for(var i = 1; i < 5; i++) {
    for(var i = 1; i < 6; i++) {
        var grupoH = 0;
        var grupoM = 0;
		grupo = document.getElementById("grp_5_4_"+i).value;
		if (grupo!="") {
            grupo = parseInt(grupo);
            grupoH = Math.round(grupo * ratioHombres);
            grupoM = grupo - grupoH;
            mujeresAcumulado = mujeresAcumulado + grupoM;
            hombresAcumulado = hombresAcumulado + grupoH;
		} else if(i==5) {
            grupo = parseInt((numHombres+numMujeres)-(mujeresAcumulado+hombresAcumulado));
            grupoH = Math.round(grupo * ratioHombres);
            grupoM = grupo - grupoH;
            mujeresAcumulado = mujeresAcumulado + grupoM;
            hombresAcumulado = hombresAcumulado + grupoH;
		}

		document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
		document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
    }
    if (hombresAcumulado != numHombres) {
		var diferencia = numHombres - hombresAcumulado;
		var grupo=0;
		var grupoH=0;
		var grupoM=0;
		for(var i = 5; i > 0; i--) {
			grupo = parseInt(document.getElementById("grp_5_4_"+i).value);
			if (grupo > 0) {
				if (diferencia > 0) {
					grupoH=parseInt(document.getElementById("grp_5_4_"+i+"_H").value);
					grupoM=parseInt(document.getElementById("grp_5_4_"+i+"_M").value);
					grupoM=grupoM-1;
					grupoH=grupoH+1;
					document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
					document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
					diferencia = diferencia - 1;
				} else if (diferencia < 0) {
					grupoH=parseInt(document.getElementById("grp_5_4_"+i+"_H").value);
					grupoM=parseInt(document.getElementById("grp_5_4_"+i+"_M").value);
					grupoM=grupoM+1;
					grupoH=grupoH-1;
					document.getElementById("grp_5_4_"+i+"_H").value=grupoH;
					document.getElementById("grp_5_4_"+i+"_M").value=grupoM;
					diferencia = diferencia + 1;
				}
			}
		}
    }
}

function circuloOver2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#000000';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#000000';
}

function circuloOut2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#FFFFFF';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#FFFFFF';
}

function circuloOverSel2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#0090D3';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#0090D3';
}

function circuloOutSel2(num) {
	if (document.all)
		document.all['circulo2'+num].style.color='#000000';
	else if (document.getElementById)
		document.getElementById('circulo2'+num).style.color='#000000';
}
function deshabilitar(){
	if(document.frm.opt_local.checked){
		document.frm.cpos1.disabled=true;
		document.frm.proc_pais_6_1.disabled=true;
	}else{
		document.frm.cpos1.disabled=false;
		document.frm.proc_pais_6_1.disabled=false;
	}
}

function comprobarCPOS(pos){
  var cars="";
  var cpos="";
  var pais="";
  <%for (int i=1;i<4;i++){%>
    if(pos==<%=i%>){
		cpos=document.frm.cpos<%=i%>.value;
		pais=document.frm.proc_pais_6_<%=i%>.value;
		cars=cpos.split("");
		if(document.frm.cpos<%=i%>.value!=""){
		  var numeros="1234567890".split("");
		  var cars=cpos.split("");
		  for(c=0;c<cars.length;c++){	  	
		  	var car=cars[c];
		  	var esnumero=false;
		  	for (n=0;n<numeros.length;n++){
		  		var num=numeros[n];
		  		if(car==num){
		  			esnumero=true;
		  			break;
		  		}
		  	}
		  	if(!esnumero){
		  		document.frm.cpos<%=i%>.value="";
		  		return;
		  	}
		  }
		  if(pais==0){
				if(cpos.length==1){
					cpos= "0"+ cpos + "000";				 
				}else if (cpos.length==2){
					cpos=cpos + "000";
				}else if (cpos.length==3){
					cpos=cpos + "00";
				}else if (cpos.length==4){		
					cpos=cpos + "0";
				}			
				if(cpos.length>0){
				var prov="";	
				if(cars[0]==0){
					prov=cars[1];
				}else{
					prov=cars[0]+""+cars[1];
			}
			if(prov>52 || prov < 1){
				alert("<%=ALERT_PROVINCIA%>");
				document.frm.cpos<%=i%>.value="";
		  	return;
			}
		}
		}
		if(pais==10){
			if(cpos<1){
					alert("<%=ALERT_PROVINCIA%>");
					document.frm.cpos<%=i%>.value="";
		  		return;
			}
			if(cpos>96){
				if(cpos!=971 && cpos!=972 && cpos!=973 && cpos!=999){
						alert("<%=ALERT_PROVINCIA%>");
						document.frm.cpos<%=i%>.value="";
		  			return;
				}
			}
		}
			document.frm.cpos<%=i%>.value=cpos;
		}
	}	
	<%}%>
    }

</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" onLoad="anadirAnoActual();">
<!-- CABECERA -->
<jsp:include page="/q53_gen_cabeceraHTA.jsp"/>
<!-- FIN CABECERA -->
<!-- MENU + CENTRO -->
    <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr>
        <td><img src="/appcont/itourbask/imgs/px.gif" width="2" height="1"></td>
        <td bgcolor="#0090D3"><img src="/appcont/itourbask/imgs/px.gif" width="3" height="1"></td>
        <td width="100%" valign="top">
        		
         <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">            
            <tr>            	
						
							<td width="9%" valign="middle"  class="pestanaSeleccionada" background="/appcont/itourbask/imgs/pes02.gif"><a href="javascript:CargarPaginaConfirm('pres.hta' ,'<%=ALERT_PERDER_DATOS%>');" onMouseOver="" onMouseOut="" hidefocus class="linkblancoboldp"><%=enc_presencial%></a></td>
							<td width="2%">&nbsp;</td>
							<td style="display:none" width="9%" valign="middle"  class="pestanaPorDefecto" background="/appcont/itourbask/imgs/pes01.gif" class="linknegroboldp"><a href="javascript:CargarPaginaConfirm('presTabla.hta' ,'<%=ALERT_PERDER_DATOS%>');" onMouseOver="" onMouseOut="" hidefocus class="linknegroboldp"><%=enc_presencial_tabla%></a></td>  
							<td style="display:none"width="2%">&nbsp;</td> 
							<td width="9%" valign="middle" class="pestanaPorDefecto" background="/appcont/itourbask/imgs/pes01.gif"><a href="javascript:CargarPaginaConfirm('nopres.hta' ,'<%=ALERT_PERDER_DATOS%>');" onMouseOver="" onMouseOut="" hidefocus class="linknegroboldp "><%=enc_no_pres%></a></td>
							<td width="2%">&nbsp;</td>
							<td style="display:none" width="9%" valign="middle"  class="pestanaPorDefecto" background="/appcont/itourbask/imgs/pes01.gif" class="linknegroboldp"><a href="javascript:CargarPaginaConfirm('noPresTabla.hta' ,'<%=ALERT_PERDER_DATOS%>');" onMouseOver="" onMouseOut="" hidefocus class="linknegroboldp"><%=enc_no_pres_tabla%></a></td>
							<td style="display:none" width="2%">&nbsp;</td>
							<td width="56%" >&nbsp;</td>  						
						</tr>
						<tr>							
							<td bgcolor="#0090D3" colspan="10"><img src="/appcont/itourbask/imgs/px.gif" width="3" height="25"></td></tr>
           </table> 
           
           <table width="100%" border="0"> 
            <tr><td>&nbsp;</td></tr>
            
            
            
                <tr>
                    <td>
<!-- CENTRO -->
<!-- titulo Recogida de datos -->
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td width="10" valign="middle" bgcolor="#0090D3" class="textoblancobold">•</td>
                                <td valign="middle" bgcolor="#0090D3"><span class="textoblancobold">
                                <%= mnu_recogida_datos %>
                                </span></td>
                                <td align="right" valign="middle" bgcolor="#0090D3"><span class="textoblancobold"></span></td>
                            </tr>
                            <tr><td><img src="imgs/px.gif" width="1" height="10"></td></tr>
                        </table>
<!-- FIN titulo Recogida de datos -->
<%
	if(encuestaBean != null){
String recogidaDatos="N";
if(encuestaBean.isRecogidaDatos()){
    recogidaDatos = "S";
}
String codEncuesta = encuestaBean.getCodEncuesta();
String codVersion = encuestaBean.getCodVersion();
String descEncuesta = encuestaBean.getDescripcionEncuesta();

%>
<form name="frm" method="post" action="javascript:alert('<%=q53Util.getLiteral(sd, "HTA_GUARDADOS", q53_idioma)%>')" class="frmclass">
<input type="hidden" name="terminarAmbas" value="0">
<input type="hidden" name="es_recogida_datos" value="<%=recogidaDatos%>">
<input type="hidden" name="cod_encuesta" value="<%=codEncuesta%>">
<input type="hidden" name="cod_version" value="<%=codVersion%>">
<input type="hidden" name="encuesta_descripcion" value="<%=descEncuesta%>">
<input type="hidden" name="encuestas_terminadas" value="<%=""%>">
<input type="hidden" name="respuesta_rd_asociada" value="<%=""%>">
<input type="hidden" name="terminarActivo" id="terminarActivo" value="1">
<input type="hidden" name="fech_10_dia2" id="fech_10_dia2" >
<input type="hidden" name="fech_10_mes2" id="fech_10_mes2" >
<input type="hidden" name="fech_10_anio2" id="fech_10_anio2">
<input type="hidden" name="fech_10_hora" id="fech_10_hora">

<%int num_pregunta = 1;%>
<input type="hidden" name="gv_cod_encuesta" value="0">
<input type="hidden" name="gv_cod_version" value="1">
    <table cellpadding='0' cellspacing='0' border='0'>
        <tr>
            <td width='10'></td>
            <td width='13' height='13' valign='middle' align='center' class='textoazulbold'>1</td>
            <td class='textonegrobold'>&nbsp;<%=enc_tipo_fecha%></td>
        <%
        java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat ("dd.MM.yyyy");
        String ahora = sdf.format (new java.util.Date());
        String ahora_dia = ahora.substring (0,2);
        String ahora_mes = ahora.substring (3,5);
        String ahora_anio = ahora.substring (6);
        java.util.Calendar cal=java.util.Calendar.getInstance();
        String ahora_hora=String.valueOf(cal.get(Calendar.HOUR_OF_DAY));
        q53FechaBean fechaBean= (q53FechaBean)sd.getVal("fechasGV");
        String fecha_min = fechaBean.getFechaMin();
        // 30.03.2007 MMG Comentado pq no sale el año actual
        //String fecha_max = fechaBean.getFechaMax(); 
      	String fecha_max = "";
        String sesion_dia=(String)session.getAttribute("dia");
    		String sesion_mes=(String)session.getAttribute("mes");
    		String sesion_anio=(String)session.getAttribute("anio");
    		String sesion_hora=(String)session.getAttribute("hora");
    	int anio_min = 0;
        int anio_max = 0;
        try {
        	
            if (fecha_min.equals("")) {
                anio_min = Integer.parseInt(ahora_anio);
            }else {
                
                anio_min = Integer.parseInt(fecha_min.substring(0,4));
            }
            if (fecha_max.equals("")) {
                anio_max = Integer.parseInt(ahora_anio);
            }else {
                anio_max = Integer.parseInt(fecha_max.substring(0,4));
            }
            
            if(!sesion_dia.equals("")){
    					ahora_dia=sesion_dia;
    				}
		        if(!sesion_mes.equals("")){
		        	ahora_mes=sesion_mes;
		        }
		        if(!sesion_anio.equals("")){
		        	ahora_anio=sesion_anio;
		        }
		        if(!sesion_hora.equals("")){
		        	ahora_hora=sesion_hora;
		        }
        }catch (Exception e) {
            //e.printStackTrace();
         }

        %>
        <td width='25'></td>
        <%if(q53_idioma.equals("C")){%>
        <td class='textonegrobold'>
            <select name='fech_0_dia' class='inpsel'>
                <%for (int j=1; j<=31; j++) {
                    if (j<10) {
                        if(ahora_dia.equals("0"+j)){%>
                            <option value='0<%=j%>' selected><%=j%></option>
                        <%}else{%>
                            <option value='0<%=j%>'><%=j%></option>
                        <%}%>
                    <%}else {
                        if(ahora_dia.equals(""+j)){%>
                            <option value="<%=j%>" selected><%=j%></option>
                        <%}else{%>
                            <option value="<%=j%>"><%=j%></option>
                        <%}%>
                    <%}
                }%>
            </select>
        <%if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){%>
                <select name='fech_0_mes' class='inpsel'>
                <%if(ahora_mes.equals("01")){
			%>
                    <option value='01' selected><%=calendarioLiteralesList.get(0)%></option>
                <%}else{%>
                    <option value='01'><%=calendarioLiteralesList.get(0)%></option>
                <%}if(ahora_mes.equals("02")){%>
                    <option value='02' selected><%=calendarioLiteralesList.get(1)%></option>	
                <%}else{%>
                    <option value='02'><%=calendarioLiteralesList.get(1)%></option>	
                <%}if(ahora_mes.equals("03")){%>
                    <option value='03' selected><%=calendarioLiteralesList.get(2)%></option>
                <%}else{%>
                    <option value='03' ><%=calendarioLiteralesList.get(2)%></option>
                <%}if(ahora_mes.equals("04")){%>
                    <option value='04' selected><%=calendarioLiteralesList.get(3)%></option>
                <%}else{%>
                    <option value='04'><%=calendarioLiteralesList.get(3)%></option>
                <%}if(ahora_mes.equals("05")){%>
                    <option value='05' selected><%=calendarioLiteralesList.get(4)%></option>
                <%}else{%>
                    <option value='05'><%=calendarioLiteralesList.get(4)%></option>
                <%}if(ahora_mes.equals("06")){%>
                    <option value='06' selected><%=calendarioLiteralesList.get(5)%></option>
                <%}else{%>
                    <option value='06'><%=calendarioLiteralesList.get(5)%></option>
                <%}if(ahora_mes.equals("07")){%>
                    <option value='07' selected><%=calendarioLiteralesList.get(6)%></option>
                <%}else{%>
                    <option value='07' ><%=calendarioLiteralesList.get(6)%></option>
                <%}if(ahora_mes.equals("08")){%>
                    <option value='08' selected><%=calendarioLiteralesList.get(7)%></option>
                <%}else{%>
                    <option value='08'><%=calendarioLiteralesList.get(7)%></option>
                <%}if(ahora_mes.equals("09")){%>
                    <option value='09' selected><%=calendarioLiteralesList.get(8)%></option>
                <%}else{%>
                    <option value='09'><%=calendarioLiteralesList.get(8)%></option>
                <%}if(ahora_mes.equals("10")){%>
                    <option value='10' selected><%=calendarioLiteralesList.get(9)%></option>
                <%}else{%>
                    <option value='10'><%=calendarioLiteralesList.get(9)%></option>
                <%}if(ahora_mes.equals("11")){%>
                    <option value='11' selected><%=calendarioLiteralesList.get(10)%></option>
                <%}else{%>
                    <option value='11'><%=calendarioLiteralesList.get(10)%></option>
                <%}if(ahora_mes.equals("12")){%>
                    <option value='12' selected><%=calendarioLiteralesList.get(11)%></option>
                <%}else{%>
                    <option value='12' ><%=calendarioLiteralesList.get(11)%></option>
                <%}%>
            </select>
        <%}%>            
            <select name='fech_0_anio' class='inpsel'>
            &nbsp;&nbsp;&nbsp;&nbsp;
            </select>
            &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_tipo_hora%></span>&nbsp;&nbsp;
            <select name='fech_0_hora' class='inpsel'>
                <option value='01'></option>
             <%
								for(int h=7;h<23;h++){
									String mihora="";
									if(h<10){mihora="0"+h;}
									else{ mihora=String.valueOf(h);}
									if(mihora.equals(ahora_hora)){             	
                %>
                <option value='<%=mihora%>' selected><%=mihora+":00"%></option>
               <%
               	}else{
               	%>
               		<option value='<%=mihora%>'><%=mihora+":00"%></option>
               	<%
               	}	
               }%> 
            </select>
            &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_mantener%></span>&nbsp;&nbsp;
                  <td>        
                      <input type='checkbox' name='opt_mantener'>    
                    </td> 
               
           
        </td>
        <%}else{%>
            <td class='textonegrobold'>
                <select name='fech_0_anio' class='inpsel'>
                  
                </select>
            &nbsp;&nbsp;&nbsp;&nbsp;
                 &nbsp;&nbsp;&nbsp;&nbsp;
        <%if(calendarioLiteralesList != null && !calendarioLiteralesList.isEmpty()){%>
                <select name='fech_0_mes' class='inpsel'>
                <%if(ahora_mes.equals("01")){%>
                    <option value='01' selected><%=calendarioLiteralesList.get(0)%></option>
                <%}else{%>
                    <option value='01'><%=calendarioLiteralesList.get(0)%></option>
                <%}if(ahora_mes.equals("02")){%>
                    <option value='02' selected><%=calendarioLiteralesList.get(1)%></option>	
                <%}else{%>
                    <option value='02'><%=calendarioLiteralesList.get(1)%></option>	
                <%}if(ahora_mes.equals("03")){%>
                    <option value='03' selected><%=calendarioLiteralesList.get(2)%></option>
                <%}else{%>
                    <option value='03' ><%=calendarioLiteralesList.get(2)%></option>
                <%}if(ahora_mes.equals("04")){%>
                    <option value='04' selected><%=calendarioLiteralesList.get(3)%></option>
                <%}else{%>
                    <option value='04'><%=calendarioLiteralesList.get(3)%></option>
                <%}if(ahora_mes.equals("05")){%>
                    <option value='05' selected><%=calendarioLiteralesList.get(4)%></option>
                <%}else{%>
                    <option value='05'><%=calendarioLiteralesList.get(4)%></option>
                <%}if(ahora_mes.equals("06")){%>
                    <option value='06' selected><%=calendarioLiteralesList.get(5)%></option>
                <%}else{%>
                    <option value='06'><%=calendarioLiteralesList.get(5)%></option>
                <%}if(ahora_mes.equals("07")){%>
                    <option value='07' selected><%=calendarioLiteralesList.get(6)%></option>
                <%}else{%>
                    <option value='07' ><%=calendarioLiteralesList.get(6)%></option>
                <%}if(ahora_mes.equals("08")){%>
                    <option value='08' selected><%=calendarioLiteralesList.get(7)%></option>
                <%}else{%>
                    <option value='08'><%=calendarioLiteralesList.get(7)%></option>
                <%}if(ahora_mes.equals("09")){%>
                    <option value='09' selected><%=calendarioLiteralesList.get(8)%></option>
                <%}else{%>
                    <option value='09'><%=calendarioLiteralesList.get(8)%></option>
                <%}if(ahora_mes.equals("10")){%>
                    <option value='10' selected><%=calendarioLiteralesList.get(9)%></option>
                <%}else{%>
                    <option value='10'><%=calendarioLiteralesList.get(9)%></option>
                <%}if(ahora_mes.equals("11")){%>
                    <option value='11' selected><%=calendarioLiteralesList.get(10)%></option>
                <%}else{%>
                    <option value='11'><%=calendarioLiteralesList.get(10)%></option>
                <%}if(ahora_mes.equals("12")){%>
                    <option value='12' selected><%=calendarioLiteralesList.get(11)%></option>
                <%}else{%>
                    <option value='12' ><%=calendarioLiteralesList.get(11)%></option>
                <%}%>
            </select>
        <%}%>
            &nbsp;&nbsp;&nbsp;&nbsp;
                <select name='fech_0_dia' class='inpsel'>
                    <%for (int j=1; j<=31; j++) {
                        if (j<10) {
                            if(ahora_dia.equals("0"+j)){%>
                                <option value='0<%=j%>' selected><%=j%></option>
                          <%}else{%>
                                 <option value='0<%=j%>'><%=j%></option>
                          <%}%>
                        <%}else {
                            if(ahora_dia.equals(""+j)){%>
                                <option value="<%=j%>" selected><%=j%></option>
                            <%}else{%>
                                <option value="<%=j%>"><%=j%></option>
                            <%}%>
                        <%}
                    }%>
                </select>
                &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_tipo_hora%></span>&nbsp;&nbsp;
                <select name='fech_0_hora' class='inpsel'>
                    <option value='01'></option>
                    <%
								for(int h=7;h<23;h++){
									String mihora="";
									if(h<10){mihora="0"+h;}
									else{ hora=String.valueOf(h);}
									             	
                %>
                <option value='<%=hora%>' selected><%=hora+":00"%></option>
                               <%
               }%> 
                </select>
                &nbsp;&nbsp;&nbsp;&nbsp;<span class='textonegrobold'><%=enc_mantener%></span>&nbsp;&nbsp;
                  <td>        
                      <input type='checkbox' name='opt_mantener'>    
                    </td> </td>
                <%}%>
             
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregFecha('0','<%=enc_tipo_fecha%>','S','fecha','<%=fecha_min%>','<%=fecha_max%>');
</script>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List literalesGruposList = null;
if(sd.getVal("literalesGrupos") != null){
    literalesGruposList = (List)sd.getVal("literalesGrupos");
}
if(literalesGruposList != null && !literalesGruposList.isEmpty()){%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' class='textoazulbold'>2</td>
        <td class='textonegrobold'>&nbsp;<%=literalesGruposList.get(0)%></td>
        <td width='25'></td>
        <td class='textonegrobold'>&nbsp;<%=literalesGruposList.get(1)%>&nbsp;</td>
        <td><input type='text' name='grp_2_2_1' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas_sexo();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td class='textonegrobold'>&nbsp;<%=literalesGruposList.get(2)%>&nbsp;</td>
        <td><input type='text' name='grp_2_2_2' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas_sexo();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td class='textonegrobold'>&nbsp;Total&nbsp;</td>
        <td class='textogrisclarobold'>&nbsp;&nbsp;&nbsp;&nbsp;<input type='text' name='totalPersonas' id='totalPersonas' disabled value='' size='10' maxlength='10' class='inptxt' style='{width:50px;}'>&nbsp;<%=enc_personas%>&nbsp;</td>
        <td><input type='hidden' name='sinConcretar' value='0'></td>
    </tr>
</table>
<script>
<%q53LogEstadisticas.printLog("literalesGruposList.get(0)" + literalesGruposList.get(0));%>
preguntas[preguntas.length]=new gen_PregGrupos('2','<%=literalesGruposList.get(0)%>','S','grupos','2');
</script>
<%}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' class='textoazulbold'>3</td>
        <td class='textonegrobold'>&nbsp;<%=n1_5%></td>
        <td width='25'></td>
<!--        <td class='textogrisclarobold'>&nbsp;<%=enc_total%>&nbsp;</td>
        <td class='textogrisclarobold'>&nbsp;&nbsp;&nbsp;&nbsp;<input type='text' name='totalPersonas' id='totalPersonas' disabled value='0' size='10' maxlength='10' class='inptxt' style='{width:50px;}'>&nbsp;<%=enc_personas%>&nbsp;</td>-->
    </tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0' >
    <tr>
        <td width='25'></td>
        <td class='textonegrobold'>&nbsp;<%= n8_5_1 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_1' id='grp_5_4_1' value='' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_1_H' id='grp_5_4_1_H' value=''>
        <input type='hidden' name='grp_5_4_1_M' id='grp_5_4_1_M' value=''>
        <td class='textonegrobold'>&nbsp;<%= n8_5_2 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_2' id='grp_5_4_2' value='' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_2_H' id='grp_5_4_2_H' value=''>
        <input type='hidden' name='grp_5_4_2_M' id='grp_5_4_2_M' value=''>
        <td width='25'></td>
        <td class='textonegrobold'>&nbsp;<%= n8_5_3 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_3' id='grp_5_4_3' value='' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_3_H' id='grp_5_4_3_H' value=''>
        <input type='hidden' name='grp_5_4_3_M' id='grp_5_4_3_M' value=''>
        <td class='textonegrobold'>&nbsp;<%= n8_5_4 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_4' id='grp_5_4_4' value='' size='3' maxlength='3' class='inptxt' style='{width:25px;}' onBlur='javaScript:calcularTotalPersonas();'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <input type='hidden' name='grp_5_4_4_H' id='grp_5_4_4_H' value=''>
        <input type='hidden' name='grp_5_4_4_M' id='grp_5_4_4_M' value=''>
        <td class='textogrisclarobold'>&nbsp;<%= n8_5_5 %>&nbsp;</td>
        <td><input type='text' name='grp_5_4_5' id='grp_5_4_5' value='' disabled value='0' size='3' maxlength='3' class='inptxt' style='{width:25px;}' >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>        
        <input type='hidden' name='grp_5_4_5_H' id='grp_5_4_5_H' value=''>
        <input type='hidden' name='grp_5_4_5_M' id='grp_5_4_5_M' value=''>
    </tr>
</table>
    <script>
    preguntas[preguntas.length]=new gen_PregGrupos('5','<%=n1_5%>','S','grupos','5');
    </script>        
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center'  class='textoazulbold'>4</td>
        <td class='textonegrobold'>&nbsp;<%=enc_tipo_procedencia%></td>    
        <td width='25'></td>
        
        </td>
    </tr> 
    
</table>

<table cellpadding='0' cellspacing='0' border='0'>
		<tr>
               
        <td width='25'></td>
        <td colspan ="2" class='textonegrobold' align="left"><%=enc_local%>&nbsp;&nbsp;
        <td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>    
                    <td width='10'></td>
                    <td>        
                        <input name='local' type='hidden' id='local'>
                        <input type='checkbox' name='opt_local' onClick='deshabilitar();'>    
                    </td>                    
            </table>
        </td>
<!--      <td class='textonegrobold' align="left"><%=enc_local%>&nbsp;&nbsp;
        <input name='local' type='hidden' id='local'>
        <input type='checkbox' name='opt_local' onClick='deshabilitar();'>        
        </td>
    </tr> -->
    <tr>
        <td width='25'></td>
<!--        <td colspan ="2" class='textonegrobold'><%=enc_territorio_historico%>&nbsp;&nbsp;</td>
        <td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>    
                    <%for(int i=0;i<4;i++){%>
                    <td width='10'></td>
                    <td>        
                        <select name='proc_territorio_6_<%=i%>' class='inpsel' onChange='gen_changeTerritorio("<%=i%>");'> 
                            <option value="">--</option>
                            <%for (int j=0; j<sd.gI("proc_territorio.length"); j++) {%> 
                                <option value='<%=sd.gOS("proc_territorio["+j+"].p2_cod_territorio")%>'><%=sd.gOS("proc_territorio["+j+"].p2_nombre")%></option>
                            <%}%>
                        </select>
                    </td>
                    <%}%>
            </table>
        </td>
-->        
       <td colspan ="2" class='textonegrobold'><%=cpos%>&nbsp;&nbsp;</td>
        <td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>    
                    <%for(int i=1;i<4;i++){%>
                    <td width='10'></td>
                    <td>        
                        <input type='text' name='cpos<%=i%>' id='cpos' value='' size='8' maxlength='5' class='inptxt' style='{width:50px;}'  >
                    </td>
                    <%}%>
            </table>
        </td>

    </tr>
    <tr>
        <td width='25'></td>
<!--        <td colspan ="2" class='textonegrobold'><%=enc_comunidad_autonoma%>&nbsp;&nbsp;</td>
	<td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>           
                    <%for(int i=0;i<4;i++){%> 
                    <td width='10'></td>
                    <td> 
                        <select name='proc_ccaa_6_<%=i%>' class='inpsel' onChange='gen_changeCCAA("<%=i%>");'>
						 <option value=""></option>
						<%if(sd.gOS("q53_cki.q53_idioma").equals(q53Constantes.IDIOMA_EUS)){%>
							<option value="0" selected>--(Euskadi)</option>
						<%}else{%>
							<option value='0' selected>-- (Pais Vasco)</option>
						<%}%>	
                           
                            <%for (int j=0; j<sd.gI("proc_comunidad.length"); j++) {
									if(!sd.gOS("proc_comunidad["+j+"].p1_cod_comunidad").equals("0")){%>
										<option value='<%=sd.gOS("proc_comunidad["+j+"].p1_cod_comunidad")%>'><%=sd.gOS("proc_comunidad["+j+"].p1_nombre")%></option>
									<%}%>
                            <%}%>
                        </select>
                    </td>
                    <%}%>
            </table>
        </td>
-->     
        <td colspan ="2" class='textonegrobold'><%=enc_pais%>&nbsp;&nbsp;</td>
				<td colspan ="2">
            <table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>           
      			<%for(int i=1;i<4;i++){%>
                    <td width='10'></td>
                    <td>  
                    <!--<select name='proc_pais_6_<%=i%>' class='inpsel' onChange='gen_changePais("<%=i%>");'>-->
                    <select name='proc_pais_6_<%=i%>' class='inpsel' onchange="comprobarCPOS(<%=i%>);" onselect="comprobarCPOS(<%=i%>)">
                        <!-- <option value=""></option> -->
						<%if(sd.gOS("q53_cki.q53_idioma").equals(q53Constantes.IDIOMA_EUS)){%>
							<option value="0" selected>--(Espainia)</option>
						<%}else{%>
							<option value='0' selected>-- (España)</option>
						<%}%>						
                        <%for (int j=0; j<sd.gI("proc_pais.length"); j++) {
							if(!(sd.gOS("proc_pais["+j+"].p0_cod_pais").equals("0"))){%>								
								<option value='<%=sd.gOS("proc_pais["+j+"].p0_cod_pais")%>'><%=sd.gOS("proc_pais["+j+"].p0_nombre")%></option>
							<%}%>
                        <%}%>
                     </td>
                    <%}%>                        
     
            </table>
        </td>
   
    </tr>

    <tr>
        <td width='25'>&nbsp;</td>
        <td class='textonegrobold' colspan ="2">&nbsp;</td>
	<td colspan ="2">
	<table cellpadding='0' cellspacing='0' border='0' width="100%">
                <tr>                     
                    <%for(int i=1;i<4;i++){%>
                    <td width='10'>&nbsp;</td>
                    <td class='textogrisclarobold'><input type='text' size='3' name="nPersonasProcedencia_6_<%=i%>" maxlength='3' class='inptxt' style='{width:25px;}'>&nbsp;&nbsp;<%=enc_personas%></td>
                    <%}%>
            </table>
        </td>
    </tr>
</table>
<script>
    preguntas[preguntas.length]=new gen_PregProcedencia('6','<%=enc_tipo_procedencia%>','N','procedencia');
</script>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>

<%List informacionSolicitadaList = null;
if(sd.getVal("literalesInformacionSolicitada") != null){
    informacionSolicitadaList = (List)sd.getVal("literalesInformacionSolicitada");
    if(informacionSolicitadaList != null && !informacionSolicitadaList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' class='textoazulbold'>5</td>
        <td class='textonegrobold'>&nbsp;<%=informacionSolicitadaList.get(0)%></td>
        <td width='25'></td>
        <input name='opt_7' type='hidden' id='tipo_check_7'>
        <%for(int j=1;j<7;j++){%>
        <%if(j==1){%>
        <td><input name='opt_check_7' type='checkbox' value='<%=j%>' checked></td>
        <%}else{%>
        <td><input name='opt_check_7' type='checkbox' value='<%=j%>'></td>
        <%}%>
        <td class='textonegrobold'><%=informacionSolicitadaList.get(j)%>&nbsp;&nbsp;</td>
        <%}%>        
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('7','<%=informacionSolicitadaList.get(0)%>','S','opciones','check');
</script>
<%  }
}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<%List tipoInformacionList = null;
if(sd.getVal("literalesTipoInformacion") != null){
    tipoInformacionList = (List)sd.getVal("literalesTipoInformacion");
    if(tipoInformacionList != null && !tipoInformacionList.isEmpty()){
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center'  class='textoazulbold'>6</td>
        <td class='textonegrobold'>&nbsp;<%=tipoInformacionList.get(0)%></td>
    </tr>
    <tr><td height='5'></td></tr>
</table>
<table cellpadding='0' cellspacing='0' border='0'> 
<tr>
<input name='opt_8' type='hidden' id='tipo_check_8'>
<% q53RespuestaOpcionesBean beanPregs = (q53RespuestaOpcionesBean)sd.getVal("preguntasInteres");
	List opciones = beanPregs.getCodOpciones();
	int flag = 0;
	for (int ind = 0; ind < opciones.size(); ind++){
		int cod = Integer.parseInt(((q53OpcionBean)opciones.get(ind)).getCodOpciones());
		%>
		<td width="25%" class='textonegrobold'><input name='opt_check_8' type='checkbox' value='<%= cod %>'><%=tipoInformacionList.get(cod)%>&nbsp;&nbsp;</td>
<%	flag++;
    if (flag == 4){
    	%></tr><tr><%
    	flag = 0;
    }
}%>
</tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('8','<%=tipoInformacionList.get(0)%>','S','opciones','check');
preguntas[preguntas.length]=new gen_PregOpciones('3','Medio de recepción','S','opciones','radio');
</script>
<%  }%>
<%}%>
<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#0090D3'><img src='/appcont/itourbask/imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<!--IGC 20150519 INICIO INCLUIR PREGUNTA VALIDACION ESTANCIA-->
<%q53LogEstadisticas.printLog("Mostrar pregunta nueva de valoracion");%>
<%List ValoracionEstanciaList = null;
if(sd.getVal("literalesValoracionEstancia") != null){
    ValoracionEstanciaList = (List)sd.getVal("literalesValoracionEstancia");
    if(ValoracionEstanciaList != null && !ValoracionEstanciaList.isEmpty()){
        q53LogEstadisticas.printLog("ValoracionEstanciaList : " + ValoracionEstanciaList);
%>
<table cellpadding='0' cellspacing='0' border='0'>
    <tr>
        <td width='10'></td>
        <td width='13' height='13' valign='middle' align='center' class='textoazulbold'>7</td>
        <td class='textonegrobold'>&nbsp;<%=ValoracionEstanciaList.get(0)%></td>
        <td width='25'></td>
        <%for(int j=1;j<7;j++){%>
			<td>
				<%if(j==1){%>
 					<input id='opt_12' name='opt_12' type='radio' value='<%=j-1%>' checked>
				<%}else { // la opción no está en la respuesta%>
					<input id='opt_12' name='opt_12' type='radio' value='<%=j-1%>'>
				<%}%>
 			</td>
			<td class='textonegrobold'><%=ValoracionEstanciaList.get(j)%></td>
			<td width='8'></td>
        <%}%>        
        <td width='25'>&nbsp;</td>        
		<td class='textonegrobold'>&nbsp;<%=sd.getVal("textoAyudaValoracionEstancia")%></td>
    </tr>
</table>
<script>
preguntas[preguntas.length]=new gen_PregOpciones('12','<%=ValoracionEstanciaList.get(0)%>','N','opciones','radio');
</script>
<%}
}%>

<table cellpadding='0' cellspacing='0' border='0' width='100%'>
    <tr><td height='5'></td></tr>
    <tr><td bgcolor='#087BBA'><img src='imgs/px.gif' width='1' height='1'></td></tr>
    <tr><td height='5'></td></tr>
</table>
<!--IGC 20150519 FIN INCLUIR PREGUNTA VALIDACION ESTANCIA-->

<!-- titulo Recogida de datos -->
<!-- Encuesta oficina -->
<%}
if (sd.gOS("hay_preg_ofi").equals("SI")) {
%> 
<table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr><td colspan="5"></td></tr>
    <tr><td colspan="5"></td></tr>
    <tr>
        <!--<td width="5" align="right"><img src="/appcont/itourbask/imgs/titulo_izq.gif" height="15" width="5"></td>-->
        <td width="10" valign="middle" bgcolor="#0090D3" class="textoblancobold">•</td>
        <td valign="middle" bgcolor="#0090D3"><span class="textoblancobold"><%=cod_descripcion_oficina%></span></td>
        <td align="right" valign="middle" bgcolor="#0090D3"></td>
        <!--<td width="5"><img src="imgs/titulo_der.gif" height="15" width="5"></td>--
    </tr>
    <tr><td><img src="imgs/px.gif" width="1" height="10"></td></tr>
</table>
<!-- FIN titulo Recogida de datos --> 

<input type="hidden" name="ofi_cod_encuesta" value="<%=cod_enc_oficina%>">
<input type="hidden" name="ofi_cod_version" value="<%=cod_version_oficina%>">
<%
    int num_pregunta = 10;
    int preguntasLength= 8;
    escribirTextoEncuesta(out, sd, "enc_ofi");    
    if(sd.getVal("preguntasList") != null && !((List)sd.getVal("preguntasList")).isEmpty()){
        List preguntasList = (List)sd.getVal("preguntasList");
        int numPreguntas = preguntasList.size();
        for(int k=0;k<numPreguntas;k++){
            q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
            String tipoPregunta = preguntaBean.getTipoPregunta();
            if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
                preguntasLength++;            
                escribirPregOpciones(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
                preguntasLength++;
                escribirPregTexto(out, preguntaBean, num_pregunta,preguntasLength);
            }else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
                preguntasLength++;
                escribirPregFecha(out, preguntaBean,sd,  num_pregunta,preguntasLength);
            }
            num_pregunta++;
        }
    } // for i%>
<%} // if hay_preg_ofi
%>
<!-- terminar -->
<table cellpadding="2" cellspacing="0" border="0" align="center">
    <tr>
        <td id="t2" class="textoblancobold" bgcolor="#0090D3"><a href="#" onClick="terminarEncuestas();return false;" hidefocus id="btn_terminarAmbas" class="linkblancobold"><%=gen_terminar%></a></td>
     	 <td width="20"></td>
        <td id="g2" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:ShowSaveComplete();" hidefocus class="linkblancobold"><%=gen_guardar%></a></td>
        <td width="20"></td>
        <td id="c2" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:close();" hidefocus class="linkblancobold"><%=gen_cerrar%></a></td>
        <td width="20"></td>
        <td id="s2" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:subir();" hidefocus class="linkblancobold"><%=gen_subir%></a></td>
        <td width="20"></td>
        <td id="p2" class="textoazulbold" bgcolor="#0090D3"><a href="javascript:probar();" hidefocus class="linkblancobold"><%=gen_probar%></a></td>
        <td width="20"></td>
    </tr>
</table>

<!-- FIN terminar -->
</form>
<%//}
%>
<!-- FIN CENTRO -->
</td>
</tr>
</table>
<jsp:include page="./q53_usr_guardarRespuestasHTA.jsp" flush="true"></jsp:include>
</body>
</html>
<script>
function borrarBotones(){
var id2="t2";
if(window.location.protocol!="http:"){
	id2="g2";
}else{
	var botonc2=document.getElementById("c2");
	var botonp2=document.getElementById("p2");
	var botons2=document.getElementById("s2");
	if(botonc2!=null && botonp2!=null && botons2!=null){
		var padrec2=botonc2.parentNode;
		padrec2.removeChild(botonc2);
		var padrep2=botonp2.parentNode;
		padrep2.removeChild(botonp2);
		var padres2=botons2.parentNode;
		padres2.removeChild(botons2);
	}
}
var boton2=document.getElementById(id2);
if(boton2!=null){
	var padre2=boton2.parentNode;
	padre2.removeChild(boton2);
}	
}  

function guardarComo(){

	if (document.all) {
	
		var OLECMDID_SAVEAS = 4;
		
		var OLECMDEXECOPT_DONTPROMPTUSER = 2;
		
		var OLECMDEXECOPT_PROMPTUSER = 1;
		
		var WebBrowser = "<OBJECT ID=\"WebBrowser1\" WIDTH=0 HEIGHT=0 CLASSID=\"CLSID:8856F961-340A-11D0-A96B-00C04FD705A2\"></OBJECT>";
		
		document.body.insertAdjacentHTML("beforeEnd", WebBrowser);
		
		WebBrowser1.ExecWB(OLECMDID_SAVEAS, OLECMDEXECOPT_PROMPTUSER ,"nopres.hta",null);
		
		anadirAnoActual();
		
		window.close();
	
	} else {
		
		alert("<%=ALERT_SOLO_EXPLORER%>");
	
	}
	
}

function anadirAnoActual(){
    var hoy = new Date ();
    var ano_hoy = hoy.getYear();
    document.frm.fech_0_anio.options[0]=new Option(ano_hoy-1, ano_hoy-1);
    document.frm.fech_0_anio.options[1]=new Option(ano_hoy, ano_hoy);
    document.frm.fech_0_anio.selectedIndex=1;
}


function ShowSaveComplete() {
    <%
    Calendar cal=Calendar.getInstance();
	int anio=cal.get(Calendar.YEAR);
    int horaa=cal.get(Calendar.HOUR_OF_DAY);
    int diaa=cal.get(Calendar.DAY_OF_MONTH);
    int mess=cal.get(Calendar.MONTH)+1;
    int minn1=cal.get(Calendar.MINUTE);
    String minn="";
    if(minn1<10){minn="0"+minn1;}
    else{minn=String.valueOf(minn1);}
    String fecha_version=diaa+"/"+mess+"/"+anio+" "+horaa+":"+minn;
    session.setAttribute("fecha_version",fecha_version);
    %>
    guardarComo();
}
borrarBotones();
</script>
